package net.knarcraft.paidsigns.command;

import net.knarcraft.paidsigns.utility.Tokenizer;
import org.bukkit.command.Command;
import org.bukkit.command.CommandExecutor;
import org.bukkit.command.CommandSender;
import org.jetbrains.annotations.NotNull;

import java.util.List;

/**
 * A command executor with tokenized arguments
 */
public class TokenizedCommand implements CommandExecutor {

    protected List<String> arguments;
    protected int argumentSize;

    @Override
    public boolean onCommand(@NotNull CommandSender sender, @NotNull Command command, @NotNull String label, @NotNull String[] args) {
        arguments = Tokenizer.tokenize(String.join(" ", args));
        argumentSize = arguments.size();
        return true;
    }

}
