package net.knarcraft.paidsigns.listener;

import net.knarcraft.paidsigns.manager.TrackedSignManager;
import org.bukkit.block.Sign;
import org.bukkit.event.EventHandler;
import org.bukkit.event.EventPriority;
import org.bukkit.event.Listener;
import org.bukkit.event.block.BlockBreakEvent;

import java.io.IOException;

/**
 * A listener that listens for any tracked signs being broken
 */
public class BlockBreakListener implements Listener {

    @EventHandler(priority = EventPriority.MONITOR)
    public void onBlockBreak(BlockBreakEvent event) {
        if (event.getBlock().getState() instanceof Sign) {
            try {
                TrackedSignManager.removeTrackedSign(event.getBlock().getLocation());
            } catch (IOException ignored) {
            }
        }
    }

}
